package com.dayou.configuration;

import com.dayou.entity.User;
import com.google.common.cache.Cache;
import com.google.common.cache.CacheBuilder;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/12
 * created with IntelliJ IDEA.
 */
@Configuration
public class CacheConfig {

    @Bean
    @Qualifier("loginCache")
    public Cache<Long, User> loginCache(){
        Cache<Long, User> cache = CacheBuilder.newBuilder().expireAfterAccess(JwtConstants.EXPIRATION, TimeUnit.SECONDS).build();
        return cache;
    }

}
