package com.dayou.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.configuration.RestResponse;
import com.dayou.entity.Cycle;
import com.dayou.service.ICycleService;
import com.dayou.vo.CycleVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/20
 * created with IntelliJ IDEA.
 */
@RestController
@RequestMapping("/cycle")
@Slf4j
public class CycleController {

    @Autowired
    private ICycleService cycleService;

    @PostMapping("")
    public RestResponse<Boolean> saveCycle(@RequestBody @Valid Cycle cycle){
        Boolean result = cycleService.saveCycle(cycle);
        return RestResponse.data(result);
    }

    @GetMapping("")
    public RestResponse<IPage<CycleVO>> getPage(Page page, CycleVO cycleVO){
        IPage<CycleVO> result = cycleService.getPage(page,cycleVO);
        return RestResponse.data(result);
    }
}
