package com.dayou.controller;

import com.dayou.configuration.RestResponse;
import com.dayou.configuration.annotation.IgnoreAuth;
import com.dayou.service.IQuestionAnalysisService;
import com.dayou.vo.AnalysisResultVO;
import com.dayou.vo.MergeTableVO;
import com.dayou.vo.MergeVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
@RestController
@RequestMapping("/analysis")
@Slf4j
public class QuestionAnalysisController {

    @Autowired
    private IQuestionAnalysisService questionAnalysisService;

    @IgnoreAuth
    @GetMapping("/current")
    public RestResponse<List<AnalysisResultVO>> getAnalysisList(){
        List<AnalysisResultVO> list = questionAnalysisService.getAnalysisList();
        return RestResponse.data(list);
    }

    @GetMapping("/cycle/{id}")
    public RestResponse<List<AnalysisResultVO>> getAnalysisListByCycleId(@PathVariable("id") Long id){
        List<AnalysisResultVO> list = questionAnalysisService.getAnalysisListByCycleId(id);
        return RestResponse.data(list);
    }

    @GetMapping("/merge")
    public RestResponse<MergeVO> getMergeData(){
        MergeVO mergeVO = questionAnalysisService.getMergeData();
        return RestResponse.data(mergeVO);
    }
}
