package com.dayou.controller;

import com.dayou.configuration.RestResponse;
import com.dayou.dto.LoginDTO;
import com.dayou.dto.UserDTO;
import com.dayou.service.IUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/12
 * created with IntelliJ IDEA.
 */
@RestController
@RequestMapping("/user")
@Slf4j
public class UserController {

    @Autowired
    private IUserService userService;

    /**
     * 登录
     *
     * @param userDTO
     * @return
     */
    @PostMapping("/login")
    public RestResponse<LoginDTO> login(@RequestBody @Valid UserDTO userDTO) {
        LoginDTO loginDTO = userService.login(userDTO);
        return RestResponse.data(loginDTO);
    }

}
