package com.dayou.vo;

import com.dayou.utils.Tree;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/25
 * created with IntelliJ IDEA.
 */
@Data
public class QuestionTreeVO implements Tree<Long,String> {

    private Long id;
    private String label;

    private Long parentId;

    private String parentLabel;

    private String scope;

    private List<QuestionTreeVO> children = new ArrayList<>();

    private BigDecimal minScore;

    private BigDecimal maxScore;



    @Override
    public String getName() {
        return label;
    }

    @Override
    public int order() {
        return 0;
    }

    @Override
    public void setChildren(List<? extends Tree<Long, String>> children) {
        this.children = (List<QuestionTreeVO>) children;
    }
}
